summaryrefslogtreecommitdiff
path: root/scripts/oe-setup-builddir
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/oe-setup-builddir')
-rwxr-xr-xscripts/oe-setup-builddir39
1 files changed, 25 insertions, 14 deletions
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index f73aa3416d..ef495517aa 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -23,7 +23,15 @@ if [ -z "$BUILDDIR" ]; then
exit 1
fi
-mkdir -p $BUILDDIR/conf
+if [ "$1" = '--help' -o "$1" = '-h' ]; then
+ echo 'Usage: oe-setup-builddir'
+ echo ''
+ echo "OpenEmbedded setup-builddir - setup build directory $BUILDDIR"
+ echo ''
+ exit 2
+fi
+
+mkdir -p "$BUILDDIR/conf"
if [ ! -d "$BUILDDIR" ]; then
echo >&2 "Error: The builddir ($BUILDDIR) does not exist!"
@@ -35,16 +43,20 @@ if [ ! -w "$BUILDDIR" ]; then
exit 1
fi
+# Attempting removal of sticky,setuid bits from BUILDDIR, BUILDDIR/conf
+chmod -st "$BUILDDIR" 2>/dev/null || echo "WARNING: unable to chmod $BUILDDIR"
+chmod -st "$BUILDDIR/conf" 2>/dev/null || echo "WARNING: unable to chmod $BUILDDIR/conf"
+
cd "$BUILDDIR"
if [ -f "$BUILDDIR/conf/templateconf.cfg" ]; then
- TEMPLATECONF=$(cat $BUILDDIR/conf/templateconf.cfg)
+ TEMPLATECONF=$(cat "$BUILDDIR/conf/templateconf.cfg")
fi
. $OEROOT/.templateconf
if [ ! -f "$BUILDDIR/conf/templateconf.cfg" ]; then
- echo "$TEMPLATECONF" >$BUILDDIR/conf/templateconf.cfg
+ echo "$TEMPLATECONF" >"$BUILDDIR/conf/templateconf.cfg"
fi
#
@@ -57,7 +69,7 @@ if [ -n "$TEMPLATECONF" ]; then
TEMPLATECONF="$OEROOT/$TEMPLATECONF"
fi
if [ ! -d "$TEMPLATECONF" ]; then
- echo >&2 "Error: '$TEMPLATECONF' must be a directory containing local.conf & bblayers.conf"
+ echo >&2 "Error: TEMPLATECONF value points to nonexistent directory '$TEMPLATECONF'"
exit 1
fi
fi
@@ -71,15 +83,14 @@ if [ -z "$OECORELOCALCONF" ]; then
OECORELOCALCONF="$OEROOT/meta/conf/local.conf.sample"
fi
if [ ! -r "$BUILDDIR/conf/local.conf" ]; then
-cat <<EOM
+ cat <<EOM
You had no conf/local.conf file. This configuration file has therefore been
-created for you with some default values. You may wish to edit it to use a
-different MACHINE (target hardware) or enable parallel build options to take
-advantage of multiple cores for example. See the file for more information as
-common configuration options are commented.
+created for you with some default values. You may wish to edit it to, for
+example, select a different MACHINE (target hardware). See conf/local.conf
+for more information as common configuration options are commented.
EOM
- cp -f $OECORELOCALCONF $BUILDDIR/conf/local.conf
+ cp -f $OECORELOCALCONF "$BUILDDIR/conf/local.conf"
SHOWYPDOC=yes
fi
@@ -88,9 +99,9 @@ if [ -z "$OECORELAYERCONF" ]; then
fi
if [ ! -r "$BUILDDIR/conf/bblayers.conf" ]; then
cat <<EOM
-You had no conf/bblayers.conf file. The configuration file has been created for
-you with some default values. To add additional metadata layers into your
-configuration please add entries to this file.
+You had no conf/bblayers.conf file. This configuration file has therefore been
+created for you with some default values. To add additional metadata layers
+into your configuration please add entries to conf/bblayers.conf.
EOM
@@ -100,7 +111,7 @@ EOM
# to replace it for compatibility.
sed -e "s|##OEROOT##|$OEROOT|g" \
-e "s|##COREBASE##|$OEROOT|g" \
- $OECORELAYERCONF > $BUILDDIR/conf/bblayers.conf
+ $OECORELAYERCONF > "$BUILDDIR/conf/bblayers.conf"
SHOWYPDOC=yes
fi